/*************************************************************************************
#
#	CONDITIONALS
#
#	There are a number of conditionals used to control exactly how the game will actually
#	run, along with debugging constraints.
#
#
#	qDebugging  -- Whether or not additional debugging code should be inserted.  With this
#   turned on, most errors will DebugStr almost immediately and return errors as the error
#   propagates up the calling chain.  This is slower, but if you've found a weird bug,
#   this is the fastest way to replicate it.
#
#	qSyncTiming -- When this is on, we always try to sync the frame rate to 30 frames per
#   second, skipping frames if necessary to try to keep this appearance on the screen. If
#   this is turned off, we'll process frames as fast as we can, without attempting to sync
#   to a specific timing value.
#
#	qUsePageFlip -- If this is turned on, we'll attempt to set up a draw context that allows
#   page flipping.  If this is off, we'll always use double buffering.
#
#	qSyncToDrawVBL -- if this is turned on, we'll attempt to sync to draw sprocket's VBL.
#   If this is off, we'll get some tearing, but we don't wait for draw sprocket.
#
#	qShotsHaveRange -- if this is on, shows will eventually fade and disappear.  If this is
#   off, shots last forever.
#
qShowTiming -- if this is on, we'll display our frame rate estimate and the number of
#   shots on the board in the lower left corner.
#
qUsingSound -- If this is off, all of the sound code is dead stripped.
#
*************************************************************************************/

#ifndef __APPCONDITIONALS__
#define __APPCONDITIONALS__

#define qDebugging 0
#define qSyncTiming 0
#define qUsePageFlip 0
#define qSyncToDrawVBL 0
#define qShotsHaveRange 0
#define qShowTiming 1
#define qUsingSound 0

#endif