/*************************************************************************************
TShotSprite.h

This class represents any shots in the game, friendly or enemy.

Author: Timothy Carroll
Apple Developer Technical Support
timc@apple.com

Modification History: 

8/15/96		TMC 	Initial Release

Copyright  1996 Apple Computer, Inc., All Rights Reserved


You may incorporate this sample code into your applications without
restriction, though the sample code has been provided "AS IS" and the
responsibility for its operation is 100% yours.  However, what you are
not permitted to do is to redistribute the source as "DSC Sample Code"
after having made changes. If you're going to re-distribute the source,
we require that you make it clear in the source that the code was
descended from Apple Sample Code, but that you've made changes.

*************************************************************************************/


#ifndef _TSHOTSPRITE_
#define _TSHOTSPRITE_

#pragma once

#include "TSprite.h"

#if PRAGMA_STRUCT_ALIGN
#pragma options align=power
#endif


struct TShotSpriteData
{
	TSpriteData spriteData;
	SInt16		duration;
};

class TShotSprite : public TSprite
{
	public:
	
	enum {
		kSpriteType = 'SHOT'
	};
	
	TShotSprite (TShotSpriteData *data);
	~TShotSprite (void);
	
	virtual void ProcessSprite (void);
	virtual void Collision (TSprite *theSprite);
	
	protected:
	
	SInt16 fDuration;
	
};

#if PRAGMA_STRUCT_ALIGN
#pragma options align=reset
#endif

#endif /* _TSHOTSPRITE_ */