/*
 *	File:		DZFake3DSound.h
 *	Author:		Dan Venolia
 *
 *	Copyright  1996 Apple Computer, Inc.
 */

#ifndef __DZFake3DSound__
#define __DZFake3DSound__

#include <Sound.h>
#include <SoundComponents.h>

#ifndef FAKE_3D_SOUND
	#define FAKE_3D_SOUND		1
#endif

#if FAKE_3D_SOUND
	#include <Sound.h>
	
	#define SndSetInfo			FakeSndSetInfo
	#define SndGetInfo			FakeSndGetInfo
	
	OSErr FakeSndSetInfo(
		SndChannelPtr			inSndChannel,
		OSType					inSelector,
		void*					inData);
	
	OSErr FakeSndGetInfo(
		SndChannelPtr			inSndChannel,
		OSType					inSelector,
		void*					outData);


	#ifdef REAL_3D_INSTALL

		enum {
		    siPreMixerSoundComponent    = 'prmx',
		    siPostMixerSoundComponent   = 'psmx',
		    kSoundEffectsType           = 'snfx',
		    kReverbSubType              = 'revb'
		};
		
		struct SoundComponentLink {
		    ComponentDescription            description;
		    SoundSource                     mixerID;                
		};
		typedef struct SoundComponentLink SoundComponentLink;
		typedef SoundComponentLink *SoundComponentLinkPtr;
	#endif

#endif




#endif /* __DZDrone__ */