/*
 *	File:		DZGame.h
 *
 *	Copyright  1996 Apple Computer, Inc.
 */

#ifndef __DZGame__
#define __DZGame__

#include <Types.h>

#include <QD3D.h>


typedef enum TGameState {
	kGameState_Playing,
	kGameState_Paused,
	kGameState_Stopped
} TGameState;


// These are maintained by Game_Process
extern float			gGameInterval;
extern float			gGameFramesPerSecond;
extern Boolean			gSoundOn;

void Game_Init(
	void);

void Game_Exit(
	void);

void Game_SetState(
	TGameState			inGameState);

TGameState Game_GetState(
	void);

void Game_Process(
	void);

void Game_Submit(
	TQ3ViewObject		inView);

void Game_Silence(
	void);

#endif /* __DZGame__ */