/*
	DZISpPresets.r

	Copyright Apple Computer, Inc. 1997
	All rights reserved.

*/

#include "InputSprocket.r"
resource 'isap' (128)
{
	callsISpInit,
	usesInputSprocket
};

resource 'tset' (128, "Default")
{
	supportedVersion,
	{	
		spaceKey, 			/* kNeed_Fire */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		leftKey,			/* kNeed_Roll - left */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		rightKey,			/* kNeed_Roll - right */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		downKey,			/* kNeed_Pitch - up */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		upKey,				/* kNeed_Pitch - down */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		plusKey,			/* kNeed_ThrottleUp */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		minusKey,			/* kNeed_ThrottleDown */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		n0Key,				/* kNeed_ThrottleFull */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		n1Key,				/* kNeed_ThrottleZero */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		returnKey,			/* kNeed_InertialDampers */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		aKey,				/* kNeed_YawLeft */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		sKey,				/* kNeed_YawCenter */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		dKey,				/* kNeed_YawRight */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f1Key,				/* kNeed_ShowHUD */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f2Key,				/* kNeed_ShowFPS */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f3Key,				/* kNeed_ShowThrottle */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f4Key,				/* kNeed_ShowVelocity */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		deleteKey,			/* kNeed_InstantStop */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		escKey,				/* kNeed_Pause */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff
	};
};

resource 'tset' (129, "Keypad")
{
	supportedVersion,
	{	
		kpd0Key, 			/* kNeed_Fire */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpd4Key,			/* kNeed_Roll - left */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpd6Key,			/* kNeed_Roll - right */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpd5Key,			/* kNeed_Pitch - up */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpd8Key,			/* kNeed_Pitch - down */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpdPlusKey,			/* kNeed_ThrottleUp */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpdMinusKey,		/* kNeed_ThrottleDown */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpdStarKey,			/* kNeed_ThrottleFull */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpdSlashKey,		/* kNeed_ThrottleZero */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		kpdEnterKey,		/* kNeed_InertialDampers */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		aKey,				/* kNeed_YawLeft */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		sKey,				/* kNeed_YawCenter */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		dKey,				/* kNeed_YawRight */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f1Key,				/* kNeed_ShowHUD */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f2Key,				/* kNeed_ShowFPS */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f3Key,				/* kNeed_ShowThrottle */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		f4Key,				/* kNeed_ShowVelocity */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		spaceKey,			/* kNeed_InstantStop */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff,
		 
		escKey,				/* kNeed_Pause */
		 rControlOff, rOptionOff, rShiftOff, controlOff, optionOff, shiftOff, commandOff
	};
};


data 'tset' (256, "No Mouse") {
	$"0000 0004 3F80 0000 3F80 0000 3F80 0000"
	$"FFFF 0001 FFFF 0001 0000 0000 FFFF 0001"
	$"FFFF 0001 FFFF 0001 FFFF 0001 FFFF 0001"
	$"FFFF 0001 FFFF 0001 FFFF 0001 FFFF 0001"
	$"FFFF 0001 FFFF 0001 FFFF 0001 FFFF 0001"
	$"FFFF 0001 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0385 1200"
	$"038B 1C90 0000 0000 0000 0060 038B 1E80"
	$"0000 0000 0001 0000 0000 0008 0000 0000"
	$"0000 0000 0000 0048"
};

data 'tset' (257, "SW Pro") {
	$"3030 3032 0000 0002 0000 0001 0000 0002"
	$"0000 0001 0000 0003 0000 0003 0000 0009"
	$"0000 0009 0000 0000 0000 0008 0000 0011"
	$"FFFF 0001 0000 000D 0000 000E 0000 000F"
	$"0000 0010 FFFF 0001 FFFF 0001 FFFF 0001"
	$"FFFF 0001 0000 0000"
};

resource 'setl' (128)
{
	currentVersion,
	{
		"Default", 0, kISpDeviceClass_Keyboard, kISpKeyboardID_Apple, notApplSet, isDefaultSet, 128,
		"Keypad", 0, kISpDeviceClass_Keyboard, kISpKeyboardID_Apple, isApplSet, notDefaultSet, 129,
		
		"No Mouse", 0, kISpDeviceClass_Mouse, 'appl', notApplSet, isDefaultSet, 256,
		"SW Pro", 0, kISpDeviceClass_Joystick, 'swpr', notApplSet, isDefaultSet, 257,
	};
};

